<Truck>
	<GameData BalancePoints="1" Recallable="true">
		<AddonSockets>
			<Socket Names="tubedoors" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="regdoors" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="fireext" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="powertank" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="pageroaddon4" Offset="(-0.25; 0.37; -0.0)" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="HiluxLightBar" Offset="(2.1; -0.6; 0.0) " ParentFrame="BoneCabin_cdt" />
		</AddonSockets>
		<AddonSockets>	
		<Socket Names="HiluxFuel" Offset="(-0.2; 0; 0.0)" />	
		</AddonSockets>
		<AddonSockets>
			<Socket Names="HiluxFireEx"  Offset="(-0.0; 0.08; 0.0)" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="ljfuelcans" Offset="(-0.15; 0; 0.4)" />
		</AddonSockets>
		<AddonSockets>
			<Socket Names="ljfuelcans2" Offset="(-0.55; 0; 0.4)" />
		</AddonSockets>
		<AddonSockets>	
		<Socket Names="nomer_poland" Offset="(2.48; -0.98; -2.97)" />	
		</AddonSockets>
		<AddonSockets>	
		    <Socket Names="FSD_Nysa_522_vod"  Offset="(-0.87; 0.27; -0.9) " ParentFrame="BoneCabin_cdt" />	
		</AddonSockets>
		<WinchSocket Pos="(2.350; 1; +0.02)" />
		<WinchSocket Pos="(2; 1.45; -0.72)" />
		<WinchSocket Pos="(2; 1.45; +0.72)" />
		<WinchSocket Pos="(-2.2; 1.15; +0.47)" />
		<WinchSocket Pos="(-2.2; 1.15; -0.47)" />
		<WinchSocket Pos="(-0.74; 2.2; +0.66)" />
		<WinchSocket Pos="(-0.74; 2.2; -0.66)" />
	</GameData>
	<TruckData
		FuelCapacity="250"
		SteerSpeed="0.03"
		BackSteerSpeed="0.06"
		EngineIconMesh="env/engine_default"
		EngineIconScale="0.9"
		EngineStartDelay="2.3"
		EngineStartDelay="1.0"
		ExhaustStartTime="1.0"
		Responsiveness="1"
	>
		<Driver Pos="(-0.25; 1.2; 0.4)" LegsOffset="(-0.25; 0; 0.15)" SteeringWheelPos="(0.17; 1.7; 0.4)" />
		<Damage
			SensationMin="(-0.237; 1.814; 0)"
			SensationMax="(-0.137; 1.864; 0.2)"
			Capacity="2800"
		/>
		<Exhaust
			Dir="(0; 0; 0)"
			IsLight="true"
			Origin="(-0.58; 0.78; 0.2)"
			Speed="2.0"
			IsLight="true"
		/>
		<SteeringWheel Frame="BoneSteering" />
		<SteeringRack
			Frame="rack"
			FrameSteerLeft="hubleft"
			FrameSteerRight="hubright"
			RackHalfSizeZ="0.66263"
		/>
		<Steam Origin="(1.317; -0.633; 0)" />
		<Sounds EngineHeavyVolume="0.5" Origin="(1; 1.2; 0)" Range="3.0">
			<EngineIdle Sound="engine/o6fkgnt6" />
			<EngineLow Sound="engine/o6fkgn1l" />
			<EngineHigh Sound="engine/o6fkgn02" />
			<EngineHeavy Sound="engine/o6fkgn37" />
			<EngineStart Sound="engine/o6fkgnge" />
			<EngineStop Sound="engine/uaz_stop" />
			<Reverse Sound="engine/o6fkgnrq" />
			<Handbrake Sound="truck/handbrake" />
			<DiffLock Sound="engine/dieseldiff" />
		</Sounds>
		<Steam Origin="(2; 1.267; 0)" />
		<Camera RadiusMultiplier="0.8">
			<Cockpit
				ControlsDiffuse="g(60; 60; 60)"
				ControlsPos="(0.96; 1.53; 0.4)"
				ViewDir="(1; 0; 0)"
				ViewPos="(-0.3; 1.9; 0.35)"
				LimitsHor="(-2.8; 2.4)"
				LimitsVer="(-0.9; 0.1)"
				ZoomViewDirOffset="(0; -0.05; 0)"
				ZoomViewPosOffset="(0.2; 0; 0)"
			>
				<Rear
					HorTransitionEnd="-1.5"
					HorTransitionStart="-1.2"
					LimitsVer="(-1.2; 0.2)"
					RollAngle="-15"
					ViewDir="(1; -0.05; 0)"
					ViewPosOffset="(0; -0.1; 0.7)"
				/>
			</Cockpit>
		</Camera>
		<OcclusionMap HalfSizeZ="1.6" MinX="-2.41" MaxX="2.59" />
		<OcclusionVolume HalfSizeZ="1.2" MinX="-1.9" MaxX="1.9" />
		<Axles>
			<Axle Frame="AxleF" />
			<Axle Frame="AxleR" />
		</Axles>
		<Motor MaxDeltaAngVel="0.09" Torque="175000">
			<HighGear AngVel="18.0" />
			<Gear AngVel="1.0" MaxDeltaAngVel="0.1" />
			<Gear AngVel="5.0" />
			<Gear AngVel="11.0" />
			<Gear AngVel="16.0" />
			<Gear AngVel="20.0" />
			<ReverseGear AngVel="0.1" />
		</Motor>
		<LimitedFluid
			Center="(-1.88; 1.1; -0.02)"
			SizeX="0.45"
			SizeY="0.25"
			SizeZ="0.72"
			Type="Box"
		/>
	</TruckData>
	<HeadLight
		Pos="(1.5; 0.5; 0)"
		AttenEnd="54"
		AttenStart="1"
		Color="g(255; 212; 154) x 8.5"
		Dir="(1; -0.2; 0)"
		InnerCone="0"
		OuterCone="90"
	/>
	<Rotator
		RotationSpeed="12"
		ParentFrame="Fan_cdt"
		RotationAxis="(0; 1; 0)"
	/>
	<PhysicsModel Mesh="trucks/o6fkgn2i">
		<Body
			CenterOfMassOffset="(0.1; -1; 0)"
			ImpactType="Truck"
			Mass="3000"
			ModelFrame="Chassisbone_cdt"
		>
			<Body Collisions="None" Mass="100">
				<Constraint
					AxisLocal="(0; -1; 0)"
					MinLimit="-200"
					MaxLimit="200"
					TriggerEngineSound="false"
					Type="Hinge"
				>
					<Motor Force="1000" Tau="0.15" Type="Position" />
				</Constraint>
			</Body>
			<Body AngularDamping="0.5" Collisions="None" ImpactType="Truck" Mass="5" ModelFrame="Ring1_cdt">
				<Constraint
					AxisLocal="(0; 0; 1)"
					MinLimit="-30"
					MaxLimit="90"
					Type="Hinge"
				/>
			</Body>
			<Body AngularDamping="1" AngularDamping="0.5" Collisions="None" ImpactType="Truck" Mass="5" ModelFrame="Ring2_cdt">
				<Constraint
					AxisLocal="(0; 0; 1)"
					MinLimit="-30"
					MaxLimit="90"
					Type="Hinge"
				/>
			</Body>
		</Body>
	</PhysicsModel>
	<AutomaticIK>
		<IKBone ModelFrame="BoneFL1" ParentFrame="Chassisbone_cdt">
			<IKJoint Type="Hinge" AxisLocal="(1; 0; 0)" />
			<IKBone
				ModelFrame="BoneFL2"
				AttachToFrame="AxleF"
				AttachOffset="(0; 0; 0)"
			>
				<IKJoint Type="Slider" AxisLocal="(0; 1; 0)" />
			</IKBone>
		</IKBone>
		<IKBone ModelFrame="BoneFR1" ParentFrame="Chassisbone_cdt">
			<IKJoint Type="Hinge" AxisLocal="(1; 0; 0)" />
			<IKBone
				ModelFrame="BoneFR2"
				AttachToFrame="AxleF"
				AttachOffset="(0; 0; 0)"
			>
				<IKJoint Type="Slider" AxisLocal="(0; 1; 0)" />
			</IKBone>
		</IKBone>
		<IKBone ModelFrame="BoneRL1" ParentFrame="Chassisbone_cdt">
			<IKJoint Type="Hinge" AxisLocal="(1; 0; 0)" />
			<IKBone
				ModelFrame="BoneRL2"
				AttachToFrame="AxleR"
				AttachOffset="(0; 0; 0)"
			>
				<IKJoint Type="Slider" AxisLocal="(0; 1; 0)" />
			</IKBone>
		</IKBone>
		<IKBone ModelFrame="BoneRR1" ParentFrame="Chassisbone_cdt">
			<IKJoint Type="Hinge" AxisLocal="(1; 0; 0)" />
			<IKBone
				ModelFrame="BoneRR2"
				AttachToFrame="AxleR"
				AttachOffset="(0; 0; 0)"
			>
				<IKJoint Type="Slider" AxisLocal="(0; 1; 0)" />
			</IKBone>
		</IKBone>
	</AutomaticIK>
	<ModelAttachments>
		<Ignition>
			<Flare Pos="(1.9; 1.3; +0.58)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; +0.57)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; +0.57)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; +0.58)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; +0.58)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; +0.57)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; +0.57)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; +0.58)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; +0.704)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; +0.72)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; +0.72)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; +0.704)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; +0.704)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; +0.72)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; +0.72)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; +0.704)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; -0.715)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; -0.705)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; -0.716)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; -0.705)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; -0.715)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; -0.705)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; -0.716)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; -0.705)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; -0.564)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; -0.579)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; -0.565)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; -0.579)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.327; -0.564)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.3; -0.579)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.355; -0.565)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
			<Flare Pos="(1.9; 1.38; -0.579)" AspectRatio="1.4" Color="g(240; 240; 240) x 0.35" ColorMultAtDay="0.65" Dir="(1; 0; 0)" DirAngle="100" Size="0.05" />
		</Ignition>
		<HeadLight>
			<Light Pos="(1.9 1.3; -0.64)" AttenEnd="4" Color="g(253; 240; 226) x 0.1" Dir="(1; -0.5; 0)" InnerCone="120" OuterCone="180" />
			<Light Pos="(1.9 1.34; 0.64)" AttenEnd="4" Color="g(253; 240; 226) x 0.1" Dir="(1; -0.5; 0)" InnerCone="120" OuterCone="180" />
			<Flare Pos="(1.9; 1.38; -0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.38; -0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.3; -0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.3; -0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.38; +0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.38; +0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.3; +0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.9; 1.3; +0.64)" AspectRatio="3.0" Color="g(245; 245; 245) x 0.35" ColorMultAtDay="0.55" Dir="(1; 0; 0)" DirAngle="100" Size="0.15" />
			<Flare Pos="(1.885; 1.31; +0.788)" AspectRatio="1.0" Color="g(255; 100; 0) x 0.4" ColorMultAtDay="0.7" Dir="(2; 0; 0)" DirAngle="180" Size="0.16" SizeMultAtDay="0.9" />
			<Flare Pos="(1.885; 1.31; -0.788)" AspectRatio="1.0" Color="g(255; 100; 0) x 0.4" ColorMultAtDay="0.7" Dir="(2; 0; 0)" DirAngle="180" Size="0.16" SizeMultAtDay="0.9" />
		</HeadLight>
	</ModelAttachments>
	<Wheels>
		<Wheel HardpointX="1.47" HardpointY="0.5" HardpointZ="1.1" SteeringAngle="45" Torque="full" ConnectedToHandbrake="true" SuspensionMin="-1.0" HardpointOffsetY="-0.3" SuspensionStrength="0.007" SuspensionDamping="0.08" SteeringCastor="0" Type="o6fkgn32" />
		<Wheel HardpointX="1.47" HardpointY="0.5" HardpointZ="1.1" RightSide="true" SteeringAngle="45" Torque="full" ConnectedToHandbrake="true" SuspensionMin="-1.0" HardpointOffsetY="-0.3" SuspensionStrength="0.007" SuspensionDamping="0.08" SteeringCastor="0" Type="o6fkgn32" />
		<Wheel HardpointX="-1.58" HardpointY="0.5" HardpointZ="1.1" SteeringAngle="0" Torque="default" ConnectedToHandbrake="true" SuspensionMin="-1.0" HardpointOffsetY="-0.2" SuspensionStrength="0.007" SuspensionDamping="0.08" Type="o6fkgn32" />
		<Wheel HardpointX="-1.58" HardpointY="0.5" HardpointZ="1.1" RightSide="true" SteeringAngle="0" Torque="default" ConnectedToHandbrake="true" SuspensionMin="-1.0" HardpointOffsetY="-0.2" SuspensionStrength="0.007" SuspensionDamping="0.08" Type="o6fkgn32" />
	</Wheels>
</Truck>
